Get a workflow by id
Fetches a single library workflow by its id.
GET
/api/library/workflow/{id}Path parameters
idnumberrequiredPath parameter: id
Request
curl
curl -X GET https://trickest.io/api/library/workflow/{id} \
-H "Authorization: Bearer $TRICKEST_TOKEN"Responses
200Workflow details
idstringrequirednamestringrequireddescriptionstringspace_idstringspace_infostringspace_namestringproject_idstringproject_infostringproject_namestringvault_idstringauthorstringcreated_datestringrequiredmodified_datestringrequiredis_copybooleanplaygroundbooleanis_templatebooleanis_modulebooleanexecution_countnumberrun_countnumberlast_execution_datestringlast_execution_statusstringlatest_versionstringschedule_infoobjectexecutingbooleancolorstringsolution_idstringhas_appbooleanhas_databasebooleanmetadataobject400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.